package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.util.Date;

public class TbPlussMerchantStore implements Serializable {
    private Integer id;

    private String merchantcode;

    private String merchantname;

    private String aliaccount;

    private String alimcc;

    private String mcc;

    private String mccname;

    private String storeid;

    private String storename;

    private String linkname;

    private String linkphone;

    private String addressno;

    private String storeaddress;

    private String leshuamerchantaddress;

    private String address;

    private String businesslicenseno;

    private Date businessstarttime;

    private Date businessendtime;

    private String businesslicensepic;

    private String storedesc;

    private String logo;

    private String creator;

    private Date createdt;

    private String openingtime;

    private String status;

    private String parentcode;

    private String email;

    private String isaccount;

    private String loginname;

    private String paymentcodeurl;

    private String storeheadpic;

    private String storeinsidepic;

    private String cashpic;

    private String productdesc;

    private Double rate;

    private String alipaysource;

    private String applymentid;

    private String alistatus;

    private String wechatstatus;

    private String leshuastatus;

    private String submchid;

    private String apptokenauth;

    private String leshuamchid;

    private String leshuausername;

    private String payecdemicswitch;

    private String ismarket;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getMerchantcode() {
        return merchantcode;
    }

    public void setMerchantcode(String merchantcode) {
        this.merchantcode = merchantcode == null ? null : merchantcode.trim();
    }

    public String getMerchantname() {
        return merchantname;
    }

    public void setMerchantname(String merchantname) {
        this.merchantname = merchantname == null ? null : merchantname.trim();
    }

    public String getAliaccount() {
        return aliaccount;
    }

    public void setAliaccount(String aliaccount) {
        this.aliaccount = aliaccount == null ? null : aliaccount.trim();
    }

    public String getAlimcc() {
        return alimcc;
    }

    public void setAlimcc(String alimcc) {
        this.alimcc = alimcc == null ? null : alimcc.trim();
    }

    public String getMcc() {
        return mcc;
    }

    public void setMcc(String mcc) {
        this.mcc = mcc == null ? null : mcc.trim();
    }

    public String getMccname() {
        return mccname;
    }

    public void setMccname(String mccname) {
        this.mccname = mccname == null ? null : mccname.trim();
    }

    public String getStoreid() {
        return storeid;
    }

    public void setStoreid(String storeid) {
        this.storeid = storeid == null ? null : storeid.trim();
    }

    public String getStorename() {
        return storename;
    }

    public void setStorename(String storename) {
        this.storename = storename == null ? null : storename.trim();
    }

    public String getLinkname() {
        return linkname;
    }

    public void setLinkname(String linkname) {
        this.linkname = linkname == null ? null : linkname.trim();
    }

    public String getLinkphone() {
        return linkphone;
    }

    public void setLinkphone(String linkphone) {
        this.linkphone = linkphone == null ? null : linkphone.trim();
    }

    public String getAddressno() {
        return addressno;
    }

    public void setAddressno(String addressno) {
        this.addressno = addressno == null ? null : addressno.trim();
    }

    public String getStoreaddress() {
        return storeaddress;
    }

    public void setStoreaddress(String storeaddress) {
        this.storeaddress = storeaddress == null ? null : storeaddress.trim();
    }

    public String getLeshuamerchantaddress() {
        return leshuamerchantaddress;
    }

    public void setLeshuamerchantaddress(String leshuamerchantaddress) {
        this.leshuamerchantaddress = leshuamerchantaddress == null ? null : leshuamerchantaddress.trim();
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }

    public String getBusinesslicenseno() {
        return businesslicenseno;
    }

    public void setBusinesslicenseno(String businesslicenseno) {
        this.businesslicenseno = businesslicenseno == null ? null : businesslicenseno.trim();
    }

    public Date getBusinessstarttime() {
        return businessstarttime;
    }

    public void setBusinessstarttime(Date businessstarttime) {
        this.businessstarttime = businessstarttime;
    }

    public Date getBusinessendtime() {
        return businessendtime;
    }

    public void setBusinessendtime(Date businessendtime) {
        this.businessendtime = businessendtime;
    }

    public String getBusinesslicensepic() {
        return businesslicensepic;
    }

    public void setBusinesslicensepic(String businesslicensepic) {
        this.businesslicensepic = businesslicensepic == null ? null : businesslicensepic.trim();
    }

    public String getStoredesc() {
        return storedesc;
    }

    public void setStoredesc(String storedesc) {
        this.storedesc = storedesc == null ? null : storedesc.trim();
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo == null ? null : logo.trim();
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator == null ? null : creator.trim();
    }

    public Date getCreatedt() {
        return createdt;
    }

    public void setCreatedt(Date createdt) {
        this.createdt = createdt;
    }

    public String getOpeningtime() {
        return openingtime;
    }

    public void setOpeningtime(String openingtime) {
        this.openingtime = openingtime == null ? null : openingtime.trim();
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public String getParentcode() {
        return parentcode;
    }

    public void setParentcode(String parentcode) {
        this.parentcode = parentcode == null ? null : parentcode.trim();
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email == null ? null : email.trim();
    }

    public String getIsaccount() {
        return isaccount;
    }

    public void setIsaccount(String isaccount) {
        this.isaccount = isaccount == null ? null : isaccount.trim();
    }

    public String getLoginname() {
        return loginname;
    }

    public void setLoginname(String loginname) {
        this.loginname = loginname == null ? null : loginname.trim();
    }

    public String getPaymentcodeurl() {
        return paymentcodeurl;
    }

    public void setPaymentcodeurl(String paymentcodeurl) {
        this.paymentcodeurl = paymentcodeurl == null ? null : paymentcodeurl.trim();
    }

    public String getStoreheadpic() {
        return storeheadpic;
    }

    public void setStoreheadpic(String storeheadpic) {
        this.storeheadpic = storeheadpic == null ? null : storeheadpic.trim();
    }

    public String getStoreinsidepic() {
        return storeinsidepic;
    }

    public void setStoreinsidepic(String storeinsidepic) {
        this.storeinsidepic = storeinsidepic == null ? null : storeinsidepic.trim();
    }

    public String getCashpic() {
        return cashpic;
    }

    public void setCashpic(String cashpic) {
        this.cashpic = cashpic == null ? null : cashpic.trim();
    }

    public String getProductdesc() {
        return productdesc;
    }

    public void setProductdesc(String productdesc) {
        this.productdesc = productdesc == null ? null : productdesc.trim();
    }

    public Double getRate() {
        return rate;
    }

    public void setRate(Double rate) {
        this.rate = rate;
    }

    public String getAlipaysource() {
        return alipaysource;
    }

    public void setAlipaysource(String alipaysource) {
        this.alipaysource = alipaysource == null ? null : alipaysource.trim();
    }

    public String getApplymentid() {
        return applymentid;
    }

    public void setApplymentid(String applymentid) {
        this.applymentid = applymentid == null ? null : applymentid.trim();
    }

    public String getAlistatus() {
        return alistatus;
    }

    public void setAlistatus(String alistatus) {
        this.alistatus = alistatus == null ? null : alistatus.trim();
    }

    public String getWechatstatus() {
        return wechatstatus;
    }

    public void setWechatstatus(String wechatstatus) {
        this.wechatstatus = wechatstatus == null ? null : wechatstatus.trim();
    }

    public String getLeshuastatus() {
        return leshuastatus;
    }

    public void setLeshuastatus(String leshuastatus) {
        this.leshuastatus = leshuastatus == null ? null : leshuastatus.trim();
    }

    public String getSubmchid() {
        return submchid;
    }

    public void setSubmchid(String submchid) {
        this.submchid = submchid == null ? null : submchid.trim();
    }

    public String getApptokenauth() {
        return apptokenauth;
    }

    public void setApptokenauth(String apptokenauth) {
        this.apptokenauth = apptokenauth == null ? null : apptokenauth.trim();
    }

    public String getLeshuamchid() {
        return leshuamchid;
    }

    public void setLeshuamchid(String leshuamchid) {
        this.leshuamchid = leshuamchid == null ? null : leshuamchid.trim();
    }

    public String getLeshuausername() {
        return leshuausername;
    }

    public void setLeshuausername(String leshuausername) {
        this.leshuausername = leshuausername == null ? null : leshuausername.trim();
    }

    public String getPayecdemicswitch() {
        return payecdemicswitch;
    }

    public void setPayecdemicswitch(String payecdemicswitch) {
        this.payecdemicswitch = payecdemicswitch == null ? null : payecdemicswitch.trim();
    }

    public String getIsmarket() {
        return ismarket;
    }

    public void setIsmarket(String ismarket) {
        this.ismarket = ismarket == null ? null : ismarket.trim();
    }
}